обновление с Ubuntu 13.04 до 13.10 вызывает проблемы с vmware workstation 9 [закрыто]

Таким образом, обновление вызвало проблему, когда для запуска VMware Ws 9 требовались исправления для поддержки ядра Linux 3.11. Я применил исправления, обнаруженные другими пользователями, и теперь я могу запускать только VMware Ws 9 из sudo. Если я запускаю его от обычного пользователя, он говорит, что хочет перекомпилировать модули, чего он не делает, пока я не открою терминал и не запущу sudo vmware.

Это работает, но хотелось бы, чтобы оно работало правильно - то есть иметь модули, которые перекомпилированы, придерживаются. При работе в sudo он перекомпилируется с ошибками .. (vmware-unity-helper: 13019): Gtk-WARNING **: Невозможно найти движок темы в module_path: "murrine",

Но он запускается и работает нормально.

Есть идеи?

3
задан 17.04.2020, 17:58

1 ответ

Итак, я обнаружил, что, следуя этим патчам здесь

Чтобы применить:

cd /usr/lib/vmware/modules/source
tar -xf vmnet.tar
tar -xf vmblock.tar
cd vmnet-only
patch -p1 < ~/Downloads/procfs.patch
cd ../vmblock-only
patch -p1 < ~/Downloads/vmblock.3.10.patch
patch -p1 < ~/Downloads/vmblock.3.11.patch
cd ..
tar -cf vmblock.tar vmblock-only
tar -cf vmnet.tar vmnet-only
vmware-modconfig --console --install-all

Вы можете скачать патчи здесь [115 ]

Я могу начать свое, как и я. Я надеюсь, что это поможет всем, у кого проблемы с VMWare Workstation 9 по Saucy.

0
ответ дан 17.04.2020, 17:58

Теги

Похожие вопросы